Module org.wildfly.plugin.core
Package org.wildfly.plugin.core

## Class OperationExecutionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.wildfly.plugin.core.OperationExecutionException

- All Implemented Interfaces:
    `Serializable`

      public class OperationExecutionException
      extends RuntimeException

  An error indicating an operation has failed to execute.
  Author:
    James R. Perkins
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `OperationExecutionException​(String message, org.jboss.as.controller.client.Operation operation, org.jboss.dmr.ModelNode result)` | Creates a new exception with the failure message from the result.
    `OperationExecutionException​(String message, org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode result)` | Creates a new exception with the failure message from the result.
    `OperationExecutionException​(org.jboss.as.controller.client.Operation operation, org.jboss.dmr.ModelNode result)` | Creates a new exception with the failure message from the result.
    `OperationExecutionException​(org.jboss.dmr.ModelNode operation, org.jboss.dmr.ModelNode result)` | Creates a new exception with the failure message from the result.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.jboss.dmr.ModelNode` | `getExecutionResult()` | Returns the result from the operation executed.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### OperationExecutionException

          public OperationExecutionException​(org.jboss.as.controller.client.Operation operation,
                                             org.jboss.dmr.ModelNode result)

      Creates a new exception with the failure message from the result.
      Parameters:
        `operation` - the operation which failed
        `result` - the result of the operation

    - #### OperationExecutionException

          public OperationExecutionException​(org.jboss.dmr.ModelNode operation,
                                             org.jboss.dmr.ModelNode result)

      Creates a new exception with the failure message from the result.
      Parameters:
        `operation` - the operation which failed
        `result` - the result of the operation

    - #### OperationExecutionException

          public OperationExecutionException​(String message,
                                             org.jboss.as.controller.client.Operation operation,
                                             org.jboss.dmr.ModelNode result)

      Creates a new exception with the failure message from the result.
      Parameters:
        `message` - the message to prepend to the failure message
        `operation` - the operation which failed
        `result` - the result of the operation

    - #### OperationExecutionException

          public OperationExecutionException​(String message,
                                             org.jboss.dmr.ModelNode operation,
                                             org.jboss.dmr.ModelNode result)

      Creates a new exception with the failure message from the result.
      Parameters:
        `message` - the message to prepend to the failure message
        `operation` - the operation which failed
        `result` - the result of the operation

  - ### Method Detail

    - #### getExecutionResult

          public org.jboss.dmr.ModelNode getExecutionResult()

      Returns the result from the operation executed.
      Returns:
        the result of the operation